task somatic {

  String sample
  File normal_bam
  File normal_bam_index
  File tumor_bam
  File tumor_bam_index

  File ref_dir
  String fasta  
  String docker
  String cluster_config
  String disk_size

  command <<<
    samtools mpileup -f ${ref_dir}/${fasta} -B ${normal_bam} ${tumor_bam} | java -Xmx16g -jar /opt/VarScan.v2.4.3.jar somatic --mpileup 1 --min-coverage 3 --min-coverage-normal 3 --min-coverage-tumor 3 --min-var-freq 0.08 --p-value 0.10 --somatic-p-value 0.05 --output-vcf 1 --output-snp ${sample}.VarScan.TN.SNP --output-indel ${sample}.VarScan.TN.INDEL --strand-filter 1
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  
  output {
    File varscan_snp = "${sample}.VarScan.TN.SNP.vcf"
    File varscan_indel = "${sample}.VarScan.TN.INDEL.vcf"
    
  }
}